tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

gettext update: default to using the pkgsrc one?


KDE and some Gnome packages are starting to use newer features of
gettext that are not supported by the gettext version included in

IIRC, there was some work to improve NetBSD's libintl support for
these features, but I haven't read news about this in a long time.

I suggest that we update the gettext in pkgsrc and default to using
the gettext from pkgsrc on all pkgsrc platforms. When NetBSD's builtin
support gets good enough, we can always switch back.

This would also allow us to get rid of the msgfmtstrip hack :|

Comments? Other solutions? Status reports about NetBSD's libintl?


Home | Main Index | Thread Index | Old Index